#!/bin/bash
clear
# rsync -Pavh --exclude-from=file Tmp proba
# Si ponemos Tmp/ solo copiará los archivos de Tmp, no la carpeta entera
tput setaf 2
echo " ###################################"
echo "##            	                    ##"
echo "##    SCRIPT COPIAS DE SEGURIDAD    ##"
echo "##            RSYNC                 ##"
echo "##          Por ZX80                ##"
echo "##                                  ##"
echo " ####################################"
echo
tput sgr0
tput setaf 3
sleep 3s
echo .
echo .
echo .
echo .
echo "Copiando ..."
tput sgr0
# Para excluir de una lista con archivos y carpetas
# rsync -avz --exclude-from 'lista_excluidos.txt' source/ destino/

echo "Copiando 0fotos"
sleep 2s
rsync -Pavh 0fotos /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando Downloads"
sleep 2s
rsync -Pavh Downloads /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando Mail"
sleep 2s
rsync -Pavh Mail /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando basura"
sleep 2s
rsync -Pavh basura /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando descargas"
sleep 2s
rsync -Pavh descargas --exclude 'quake2' /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando dosbox"
sleep 2s
rsync -Pavh dosbox --exclude 'quake2' /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando dwhelper"
sleep 2s
rsync -Pavh dwhelper /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando gPodder"
sleep 2s
rsync -Pavh gPodder /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando git"
sleep 2s
rsync -Pavh git /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando kk"
sleep 2s
rsync -Pavh kk /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando mierda"
sleep 2s
rsync -Pavh mierda --exclude 'store/amule' /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando notas"
sleep 2s
rsync -Pavh notas /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando scribus"
rsync -Pavh scribus /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando sys"
sleep 2s
rsync -Pavh sys /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando tmp"
sleep 2s
rsync -Pavh tmp /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando zim-books"
sleep 2s
rsync -Pavh zim-books /home/zx80/backup/ 1>>salida.txt
echo

tput setaf 2
echo ">>> COPIANDO DIRECTORIOS OCULTOS <<<"
tput sgr0

echo "Copiando aMule"
sleep 2s
rsync -Pavh .aMule --exclude 'Incoming' --exclude 'Temp' /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando HashCheck"
sleep 2s
rsync -Pavh .HashCheck /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando SoulseekQt"
sleep 2s
rsync -Pavh .SoulseekQt /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando audacity-data"
sleep 2s
rsync -Pavh .audacity-data /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando avidemux"
sleep 2s
rsync -Pavh .avidemux6 /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando claws-mail"
sleep 2s
rsync -Pavh .claws-mail /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando config"
sleep 2s
rsync -Pavh .config /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando cups"
sleep 2s
rsync -Pavh .cups /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando dosbox"
sleep 2s
rsync -Pavh .dosbox /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando gftp"
sleep 2s
rsync -Pavh .gftp /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando gimp"
sleep 2s
rsync -Pavh .gimp-2.8 /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando gnupg"
sleep 2s
rsync -Pavh .gnupg /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando hplip"
sleep 2s
rsync -Pavh .hplip /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando icons"
sleep 2s
rsync -Pavh .icons /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando librewolf"
sleep 2s
rsync -Pavh .librewolf /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando local"
sleep 2s
rsync -Pavh .local /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando mame"
sleep 2s
rsync -Pavh .mame --exclude 'roms' /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando password-store"
sleep 2s
rsync -Pavh .password-store /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando purple"
sleep 2s
rsync -Pavh .purple /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando scribus"
sleep 2s
rsync -Pavh .scribus /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando scripts"
sleep 2s
rsync -Pavh .scripts /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando ssh"
sleep 2s
rsync -Pavh .ssh /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando ssr"
sleep 2s
rsync -Pavh .ssr /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando themes"
sleep 2s
rsync -Pavh .themes /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando tor"
sleep 2s
rsync -Pavh .tor /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando vvv"
sleep 2s
rsync -Pavh .vvv /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando xmame"
sleep 2s
rsync -Pavh .xmame /home/zx80/backup/ 1>>salida.txt
echo

tput setaf 2
echo ">>> COPIANDO ARCHIVOS OCULTOS <<<"
tput sgr0

echo "Copiando bashrc"
sleep 2s
rsync -Pavh .bashrc /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando bash_profile"
sleep 2s
rsync -Pavh .bash_profile /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando VVV"
sleep 2s
rsync -Pavh .VVV /home/zx80/backup/ 1>>salida.txt
echo

echo "Copiando xinitrc"
sleep 2s
rsync -Pavh .xinitrc /home/zx80/backup/ 1>>salida.txt
echo

tput setaf 2
echo ">>> COPIANDO OTROS ARCHIVOS <<<"
tput sgr0

echo "Copiando Antologia"
sleep 2s
rsync -Pavh Antologia.sla /home/zx80/backup/ 1>>salida.txt
echo

tput setaf 2
sleep 3s
echo .
echo .
echo .
echo .
echo "Copia realizada correctamente."
echo
echo "Tareando backup..."
echo .
echo .
tar -zcvf backup-$(date +%d-%m-%Y).tgz backup 1>>salida_b.txt
# echo "Purgando directorio e iniciando copia...."
echo .
echo .
echo .
# rm -rf backup
echo "    Listo !!!!"
echo
echo
tput sgr0
